use std::collections::{BTreeMap, HashMap};

use indexmap::IndexMap;

use super::Spanned;

#[derive(Debug, PartialEq)]
pub struct File<'src> {
    pub decls: IndexMap<Spanned<&'src str>, raw_ast::RawExpression<'src>>,
}

pub mod raw_ast;

#[derive(Debug, PartialEq)]
pub enum Lit<'src> {
    // TODO: more bigger better number types
    Int(i64),
    Float(f64),
    String(&'src str),
}

pub mod lossless;

pub mod ast_tree;
