use ego_tree::Tree;

use crate::parser::Spanned;

use super::{File, Lit};

pub struct Ast<'src> {
    tree: Tree<AstNode<'src>>,
}

struct AstNode<'src> {
    kind: NodeKind<'src>,
}

enum NodeKind<'src> {
    Decl,
    Ident(&'src str),
    Instr,
    Expr,
    MappingPipe,
    NullPipe,
    MultiPipe,
    Var(&'src str),
    InputVar(&'src str),
    AttrSet,
    Attr,
    Lit(Lit<'src>),
    Matrix,
    Dimensions(u16, u16),
    MatrixRow,
}
